import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useRef } from 'react';
import { useFireEvent } from '../events';
export const FireEventComp = ({ event, message }) => {
    const { fireEvent } = useFireEvent();
    const fireEventRef = useRef(fireEvent);
    useEffect(() => {
        fireEventRef.current = fireEvent;
    }, [fireEvent]);
    useEffect(() => {
        fireEventRef.current(event);
    }, [event, fireEventRef]);
    return _jsx(_Fragment, { children: message });
};
